Package org.eclipse.mat.report.internal

## Class ReportPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.mat.report.internal.ReportPlugin

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

    public class ReportPlugin
    extends Plugin

### Field Summary

Fields
`static String` `PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
`ReportPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ReportPlugin` `getDefault()`
`IExtensionTracker` `getExtensionTracker()`
`static void` `log​(int status, String message)`
`static void` `log​(Throwable e)`
`static void` `log​(Throwable e, String message)`
`static void` `log​(IStatus status)`
`static void` `onStop​(Runnable r)`
`void` `start​(org.osgi.framework.BundleContext context)`
`void` `stop​(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### ReportPlugin

    public ReportPlugin()

### Method Detail

#### start

    public void start​(org.osgi.framework.BundleContext context)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `Plugin`
Throws:
  `Exception`

#### stop

    public void stop​(org.osgi.framework.BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `Plugin`
Throws:
  `Exception`

#### getDefault

    public static ReportPlugin getDefault()

#### getExtensionTracker

    public IExtensionTracker getExtensionTracker()

#### log

    public static void log​(IStatus status)

#### log

    public static void log​(Throwable e)

#### log

    public static void log​(Throwable e,
                           String message)

#### log

    public static void log​(int status,
                           String message)

#### onStop

    public static void onStop​(Runnable r)